Skip to content

GET /plan-runs

GET
/plan-runs
curl --request GET \
--url https://example.com/plan-runs

Successful response.

Media typeapplication/json
object
planRuns
required
Array<object>
object
id
required
string
planId
string | null
source
required
string
Allowed values: plan issues
projectId
required
string
agentName
required
string
promptTemplate
required
string
ref
string | null
providerOverride
string | null
modelOverride
string | null
maxCostUsd
number | null
dispatcherHandle
required
string
trigger
required
string
state
required
string
Allowed values: queued running succeeded failed cancelled
failureReason
string | null
createdAt
required
string
startedAt
string | null
endedAt
string | null
Example
{
"planRuns": [
{
"source": "plan",
"state": "queued"
}
]
}

Error response (see src/core/errors.ts).

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
hint
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"hint": "example"
}
}